import { jsx } from "react/jsx-runtime";
import { TokenNALS as TokenNALS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNALS = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NALS", "data-name": "TokenNALS", ...props, children: /* @__PURE__ */ jsx(TokenNALS$1, { variant }) });
  }
);
TokenNALS.displayName = "TokenNALS";
Object.assign(TokenNALS, { isGdsIcon: true });
export {
  TokenNALS
};
